Bug 137169 - man pages incorrectly render backquote
Summary: man pages incorrectly render backquote
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: groff   
(Show other bugs)
Version: fc2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-26 14:06 UTC by Conor O'Rourke
Modified: 2007-04-18 17:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-24 15:26:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Conor O'Rourke 2004-10-26 14:06:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Not all backquotes are rendered as such in the man pages.
I think this is to do with some change in groff, where backtick
was rendered as single quote to make ``this'' type of thing
render as ''this''. However, some googling seemed to suggest
this should not happen. Ie: bare `, escaped \` or \(ga
should all render the same.
(Maybe it's partially a groff bug then...)

I consider this quite severe as the difference between a
backquote (`) and a single quote (') is quite critical in
unix programming!

Eg: man awk, line 580, renders as such:

  \'   matches the empty string  at the beginning of a
       buffer (string).
  \'   matches the empty string at the end of a buffer.

So which is right? (the top one should be \` not \')

The source for the awk man page: line 1392 shows the problem
(somewhat snipped to make it fit)
--------------------
.B \e`
matches the empty string at the beginning of a buffer
--------------------
Should be:
--------------------
.B \e\`
matches the empty string at the beginning of a buffer
--------------------

Then it renders correctly. Not every instance of ` has been
coded incorrectly however. Line 640 of the awk man page says:

   .....(E.g., in French,  a  plain  "e"  and  a
       grave-accented e` are equivalent.)

The ` is rendered correctly here. There are lots more of
these (argh!)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
(as description)

Actual Results:  (as description)

Expected Results:  (as description)

Additional info:

Comment 1 Eido Inoue 2004-10-26 15:48:33 UTC
reassigning to proper component

Comment 2 Matthew Miller 2005-04-26 16:16:54 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Jesse Keating 2005-08-24 15:26:08 UTC
This is not a security problem.  I'm closing it now.  If the problem persists in
the supported Fedora space, open a ticket with the latest fedora release.


Note You need to log in before you can comment on or make changes to this bug.